# Returns provider details for a consent.

Returns details of the connection with bank name and relevant connection dates

Endpoint: GET /stored-data/v1/consents/{consentId}/provider-details
Version: all
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http bearer scopes: api:stored_data

## Path parameters:

  - `consentId` (string, required)
    Unique reference for the user consent

## Response 200:

  - `200` (unknown)
    Provider details for the consent

## Response 200 fields (application/json):

  - `consentId` (string)
    The unique identifier of the consent.

  - `customerReference` (string)
    Customer reference.

  - `providerId` (string)
    The unique identifier of the provider.

  - `providerName` (string)
    The name of the provider e.g., Lloyds.

  - `countryCode` (string)
    An ISO 3166-1 alpha-2 Country code for the account.

  - `consentExpiryDate` (string)
    ISO 8601 (UTC) encoded date time string containing
the date and time the consent will expire.

  - `connectedDate` (string)
    ISO 8601 (UTC) encoded date time string containing
the date and time the data was retrieved for the first time.

  - `updatedDate` (string)
    ISO 8601 (UTC) encoded date time string containing
the date and time the data was retrieved last.

## Response 401:

  - `401` (unknown)
    The authorization header was invalid or not found

## Response 404:

  - `404` (unknown)
    Consent id was not found

## Response 404 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

## Response 500:

  - `500` (unknown)
    A server error has occurred

## Response 500 fields (application/json):

  - `code` (string)
    Error code.

  - `description` (string)
    Error message.

  - `details` (string)
    Error details.

  - `correlationId` (string)
    User transaction tracking Id

